Subject: Re: bug#59622: 29.0.50; [PATCH] Regression in Eshell's handling of escaped newlines

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Dec 2022 15:34:36 +0200

> Date: Tue, 6 Dec 2022 20:18:30 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> > The last sentence is very unclear, please try saying what you need in a
> > clearer way, and/or maybe add a couple of examples.
> 
> Ok, I expanded that part of the manual and added a few more examples. 
> How does this look?

Much better, thanks.

> I also split the patch in two: the first patch for the 29 branch (which 
> makes the least code changes I could manage), and the second as an 
> additional small cleanup patch for master only.

Since which Emacs version do we have this regression?  If it's a very
old regression, I'd prefer not to fix it on the emacs-29 branch.

>  @subsection Quoting and escaping
>  As with other shells, you can escape special characters and spaces
> -with by prefixing the character with a backslash (@code{\}), or by
> -surrounding the string with apostrophes (@code{''}) or double quotes
> -(@code{""}).  This is needed especially for file names with special
> -characters like pipe (@code{|}), which could be part of remote file
> +with by prefixing the character with a backslash (@samp{\}), or by

"with by prefixing" is a typo; probably "with" should be dropped.